Subject: Re: bug#59691: 29.0.60; typescript-ts-mode: any HTML-like elements causes fontification to become invalid and remaining parse-tree to become jsx-expression

From: Eli Zaretskii <[email-masked]>
Date: Thu, 01 Dec 2022 12:05:01 +0200

> From: Theodor Thornhill <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> Date: Thu, 01 Dec 2022 09:12:58 +0100
> 
> > Looks like some "git merge" snafu?  You are in fact reverting a change I
> > made in NEWS yesterday.
> >
> 
> You're right - I think I fixed it now.

Yes, thanks.

> > I don't see a change to auto-mode-alist to turn on each mode for the files
> > it supports?  I thought this was the idea?  Or is this because we don't want
> > tree-sitter based modes to be turned on by default?  In that case, how do we
> > explain to users that they should use each mode in the relevant cases?
> 
> I think there should be
> 
> 
> ;;;###autoload
> (add-to-list 'auto-mode-alist '("\\.ts\\'" . typescript-ts-mode))
> 
> ;;;###autoload
> (add-to-list 'auto-mode-alist '("\\.tsx\\'" . tsx-ts-mode))

Yes, I missed that, sorry.  But the NEWS entry should clearly say that one
mode is the default for *.ts files, the other for *.tsx files.